<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:gravity="center"
    android:orientation="vertical"
    app:cardBackgroundColor="@color/material_white"
    app:cardElevation="2dp"
    app:cardUseCompatPadding="true"
    app:contentPadding="2dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="90dp"
        android:gravity="center"
        android:orientation="horizontal">

        <com.github.siyamed.shapeimageview.CircularImageView
            android:id="@+id/image"
            android:layout_width="@dimen/buttonHeightLarge"
            android:layout_height="@dimen/buttonHeightLarge"
            android:layout_margin="@dimen/seekbarsize_small"
            android:contentDescription="@string/app_name"
            android:scaleType="fitCenter"
            android:src="@drawable/placeholder"
            app:siBorderColor="@color/btn_bg_color"
            app:siBorderWidth="0dp" />


        <LinearLayout
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

            <TextView
                android:id="@+id/publishedDate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="right"
                android:maxLines="1"
                android:paddingLeft="@dimen/seekbarsize"
                android:singleLine="true"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeToSmall" />

            <TextView
                android:id="@+id/text_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center|left"
                android:paddingLeft="@dimen/seekbarsize"
                android:singleLine="true"
                android:layout_below="@id/publishedDate"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeSmall" />

                <TextView
                    android:id="@+id/line"
                    android:layout_width="@dimen/buttonHeightSmall"
                    android:layout_height="2dp"
                    android:layout_marginLeft="@dimen/seekbarsize"
                    android:layout_below="@id/text_title"
                    android:background="@color/btn_bg_color"/>
            <TextView
                android:id="@+id/text_desc"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center|left"
                android:maxLines="2"
                android:ellipsize="end"
                android:marqueeRepeatLimit="marquee_forever"
                android:layout_marginTop="@dimen/seekbarsize_small"
                android:layout_below="@id/line"
                android:paddingLeft="@dimen/seekbarsize"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeToSmall" />

            </RelativeLayout>

        </LinearLayout>
        <ImageView
            android:id="@+id/right_arrow"
            android:layout_width="0dip"
            android:layout_height="@dimen/buttonHeight"
            android:layout_toRightOf="@id/text_title"
            android:layout_weight="0.15"
            android:contentDescription="@string/app_name"
            android:padding="@dimen/seekbarsize"
            android:scaleType="fitCenter"
            android:src="@mipmap/right_arrow" />

    </LinearLayout>


</androidx.cardview.widget.CardView>
